Subject: bug#9336: closed (Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Sep 2011 01:53:02 +0000

Your bug report

#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9336: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans
From: "Kenichi Handa" <[email-masked]>
To: <[email-masked]>
Date: Thu, 29 Sep 2011 10:51:43 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: 24.0.50; No way to input character #xbb4 using ta-itrans
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 21 Aug 2011 22:17:44 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Summary:

Using input method tamil-itrans, there is no easy way to input character
#xbb4.

I am a native speaker of this language and this particular character is
a commonly used character in the language. Absence of a convenient way
to input this character is definitely an annoyance and a bug.

I am attached a unicode map for tamil with this bug report, if that is
of any help.

M-x set-language-environment RET tamil RET
M-x set-input-method RET tamil-trans RET

M-x quail-help RET

I see no character combinations by which I can insert the character 0BB4
(Tamil Letter LLLA)

If I do

M-x ucs-insert RET TAMIL LETTER LLLA RET 

I can insert the intended character without any problems.

C-u C-x = on the above "non inputtable" character shows me this. In
particular I see no "to input" entry.

,----
|         character: ழ (2996, #o5664, #xbb4)
| preferred charset: unicode (Unicode (ISO10646))
|        code point: 0x0BB4
|            syntax: w 	which means: word
|          category: .:Base
|       buffer code: #xE0 #xAE #xB4
|         file code: #xE0 #xAE #xB4 (encoded by coding system utf-8-dos)
|           display: by this font (glyph code)
|     uniscribe:-outline-Latha-normal-normal-normal-*-20-*-*-*-p-*-iso10646-1 (#x53)
| 
| Character code properties: customize what to show
|   name: TAMIL LETTER LLLA
|   general-category: Lo (Letter, Other)
| 
| There are text properties here:
|   fontified            t
`----

On the other hand if I do a C-u C-x = on an inputtable character say
0B95 (TAMIL LETTER KA) I see a "to input" advice displayed. So I am
pretty convinced that there really is no straighforward manner by which
I can insert character LLLA and it's variants. 

,----
|         character: க (2965, #o5625, #xb95)
| preferred charset: unicode (Unicode (ISO10646))
|        code point: 0x0B95
|            syntax: w 	which means: word
|          category: .:Base
|          to input: type "ka" with tamil-itrans
|       buffer code: #xE0 #xAE #x95
|         file code: #xE0 #xAE #x95 (encoded by coding system utf-8-dos)
|           display: by this font (glyph code)
|     uniscribe:-outline-Latha-normal-normal-normal-*-20-*-*-*-p-*-iso10646-1 (#x42)
| 
| Character code properties: customize what to show
|   name: TAMIL LETTER KA
|   general-category: Lo (Letter, Other)
| 
| There are text properties here:
|   fontified            t
| 
| [back]
`----

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-08-09 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t